<div class="container">
    <div class="row  justify-content-center p-4 ">
        <div class="card-wrapper">
            <div class="card fat">
					<div class="card-body">
						<div class="col-md-12 ">
							<form (ngSubmit)="login()">
								<h1 class="header-title">User Login</h1>
								<div class="form-group p-1 pt-4" [formGroup]="myForm">
									<label>Username</label>
									<input type="text" formControlName="email" class="form-control" [(ngModel)]="email" placeholder="example@gmail.com" [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
									<div *ngIf="submitted && f.email.errors" class="invalid-feedback">
										<div *ngIf="f.email.errors.required">Email is required</div>
										<div *ngIf="f.email.errors.email">Email must be a valid email address</div>
									</div>
								</div>
								<div class="form-group p-1" [formGroup]="myForm">
									<label>Password</label>
									<input type="text" formControlName="password" class="form-control" [(ngModel)]="password" placeholder="Enter Password" [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
									<div *ngIf="submitted && f.password.errors" class="invalid-feedback">
										<div *ngIf="f.password.errors.required">Password is required</div>
										<div *ngIf="f.password.errors.minlength">Password must be at least 6 characters</div>
									</div>
								</div>
								<!-- <div class="form-group p-1">
									<span class="or"><span class="orInner">Or</span></span>
								  </div>
								  <div class="formGroup">
									<button type="button" class="btn googleBtn" (click)="_authservice.GoogleAuth()">
									  <i class="fab fa-google-plus-g"></i>
									  Log in with Google
									</button>
								  </div> -->
								<div class="form-group p-1">
									<button class="btn btn-primary">Login</button>
								</div> 
								<div class="formGroup">
									<span class="or"><span class="orInner">Or</span></span>
								  </div>
							
								  <!-- Calling GoogleAuth Api from AuthService -->
								  <div class="formGroup">
									<button type="button" class="btn btn-primary" (click)="_authservice.GoogleAuth()">
									  <i class="fab fa-google-plus-g"></i>
									  Log in with Google
									</button>
								  </div>

								  
									<div class="forgotPassword">
										<a href="#" routerLink="/forget-Password">Forgot Password?</a>
									</div>

									<br>
									<br>
									<div class="register"><h4>Dont't have account</h4><a href="#" routerLink='/register'><h3>Create One</h3> </a></div>
								  

								

							</form>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<!-- <body class="my-login-page">
	<section class="h-100">
		<div class="container h-100">
			<div class="row justify-content-md-center h-100">
				<div class="card-wrapper">
					<div class="card fat">
						<div class="card-body">
							<h4 class="card-title">Login</h4>
							<form [formGroup]="form">
								<div class="form-group">
									<label for="email">E-Mail Address</label>
									<input id="email" type="email" class="form-control" name="email" value="">
									<div class="invalid-feedback">
										Email is invalid
									</div>
								</div>

								<div class="form-group">
									<label for="password">Password
										<a href="forgot.html" class="float-right">
											Forgot Password?
										</a>
									</label>
									<input id="password" type="password" class="form-control" name="password">
								    <div class="invalid-feedback">
								    	Password is required
							    	</div>
								</div>

								<div class="form-group">
									<div class="custom-checkbox custom-control">
										<input type="checkbox" name="remember" id="remember" class="custom-control-input">
										<label for="remember" class="custom-control-label">Remember Me</label>
									</div>
								</div>

								<div class="form-group m-0">
									<button type="submit" class="btn btn-primary btn-block">
										Login
									</button>
								</div>
								<div class="mt-4 text-center">
									Don't have an account? <a href="register.html">Create One</a>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
    </section>
</body> -->


